Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication

Query Parameters

dataset_id
string
required

The dataset identifier (can be found in the specific API page)

status
enum<string>

List only snapshots with a specific status

Available options:
starting,
running,
ready,
failed
skip
integer
default:0

Skip the first x snapshots

limit
integer
default:1000

Limit the number of snapshots to return

Required range: x <= 5000
from_date
string<date>

List only snapshots that were created after a specific date

to_date
string<date>

List only snapshots that were created before a specific date

with_total
boolean

Returns the total number of snapshots if this parameter is included

trigger_type
enum<string>

Filter snapshots by type

Available options:
ALL,
CP,
API

Response

OK

id
string

Snapshot ID returned by trigger API

created
string<date-time>

When the collection was requested

status
enum<string>

Status of the collection

Available options:
starting,
running,
ready,
failed
dataset_id
string

ID of the dataset for which collection was triggered

dataset_size
integer

Amount of records collected

trigger
object